/*
 * Proyecto: MigracionXailer
 * Fichero: Form1.prg
 * Descripcin:
 * Autor:
 * Fecha: 17/04/2024
 */

#include "Xailer.ch"

CLASS TForm1 FROM TForm

   COMPONENT oSQLQuery1
   COMPONENT oDBBrowse1
   COMPONENT oDBCheckBox1
   COMPONENT oButton1
   COMPONENT oButton2
   COMPONENT oSQLiteDataSource1

   METHOD CreateForm()
   METHOD FormInitialize( oSender )
   METHOD Button1Click( oSender )
   METHOD Button2Click( oSender )
   METHOD Button1CheckState( oSender )
   METHOD Button2CheckState( oSender )

ENDCLASS

#include "Form1.xfm"

//------------------------------------------------------------------------------

METHOD FormInitialize( oSender ) CLASS TForm1
   ::oDBBrowse1:oDataSet:Open()

   WITH OBJECT ::oSQLQuery1:AddCalcField( "NotaActiva", {|| ::oSQLQuery1:Campo2 == 0 } )//, {|oField| ( ::oSQLQuery1:Campo2 == 0 ) } )
      :cType := "L"
      :Value := ( ::oSQLQuery1:Campo2 == 0 )
      :OnGetValue := {|oField, Value| ( ::oSQLQuery1:Campo2 == 0 ) }
      :OnSetValue := {|oField, Value| ::oSQLQuery1:Campo2 := IF( Value, 0, 4 ) }
   END

RETURN Nil

//------------------------------------------------------------------------------

METHOD Button1Click( oSender ) CLASS TForm1
   IF !::oSQLQuery1:lOnEdit()
      ::oSQLQuery1:Edit()
   ENDIF
   ::RequestState()
RETURN Nil

//------------------------------------------------------------------------------

METHOD Button2Click( oSender ) CLASS TForm1
   ::oSQLQuery1:Update()
   ::RequestState()
RETURN Nil

//------------------------------------------------------------------------------

METHOD Button1CheckState( oSender ) CLASS TForm1

RETURN !Empty( ::oSQLQuery1 ) .AND. !Empty( ::oSQLQuery1:RecCount() ) .AND. !::oSQLQuery1:lOnEdit()

//------------------------------------------------------------------------------

METHOD Button2CheckState( oSender ) CLASS TForm1

RETURN !Empty( ::oSQLQuery1 ) .AND. !Empty( ::oSQLQuery1:RecCount() ) .AND. ::oSQLQuery1:lOnEdit()

//------------------------------------------------------------------------------
